package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.FireCheckPointListDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckRecordPointDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:20
 */
public interface FireCheckRecordPointRepository extends BaseRepository<FireCheckRecordPointDO> {
    PageResponse<FireCheckRecordPointDO> listPage(Map<String, Object> params);

    List<FireCheckRecordPointDO> getInfoByFireCheckRecordId(String fireCheckId);

    List<FireCheckRecordPointDO> getCheckRecordPointList(Map<String, Object> params);

    void updateCheckFlag(FireCheckRecordPointDO pointInfo);

    List<String> getLastThreeRecord(String firePointId);

    List<FireCheckRecordPointDO> getCheckRecordPointListByCheckRecordIds(List<String> fireCheckRecordIdList);
}

